%{?scl:%scl_package eclipse-remote}
%{!?scl:%global pkg_name %{name}}
%{!?maven_scl:%global maven_scl_prefix  %{nil}}

%global eclipse_dropin %{_datadir}/eclipse/dropins
%global git_tag R1_0

Name:           %{?scl_prefix}eclipse-remote
Version:        1.0.0
Release:        1%{?dist}
Summary:        Eclipse Remote Services plug-in
License:        EPL
URL:            https://www.eclipse.org/ptp/

Source0:        http://git.eclipse.org/c/ptp/org.eclipse.remote.git/snapshot/org.eclipse.remote-%{git_tag}.tar.bz2

BuildArch:      noarch

BuildRequires:    %{maven_scl_prefix}maven-local
BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    %{?scl_prefix}feclipse-maven-plugin
BuildRequires:    jsch
BuildRequires:    %{?scl_prefix}eclipse-pde >= 1:4.3.2
BuildRequires:    %{?scl_prefix}eclipse-license
BuildRequires:    %{?scl_prefix}objectweb-asm

Requires:         jsch
Requires:         %{?scl_prefix}eclipse-platform >= 1:4.3.2

%description
Remote Services provides an extensible remote services framework.

%prep
%setup -q -n org.eclipse.remote-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

%build
scl enable %{scl} - <<"EOF"
xmvn -o clean verify -f releng/org.eclipse.remote.build/pom.xml
EOF

%install
scl enable %{scl} - <<"EOF"
xmvn -o org.fedoraproject:feclipse-maven-plugin:install \
  -Dfeatures=org.eclipse.remote \
  -DsourceRepo=releng/org.eclipse.remote.repo/target/repository \
  -DtargetLocation=%{buildroot}%{eclipse_dropin}/remote/eclipse
EOF

%files
%doc features/org.eclipse.remote-feature/*.html
%{eclipse_dropin}/remote

%changelog
* Fri Jun 27 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-1
- Update to upstream released version
- Add BR on eclipse-license

* Wed May 21 2014 Sami Wagiaalla <swagiaal@redhat.com> - 1.0.0-0.4.git19f4d9
- Build for DTS 3
- Import from RAWHIDE.

* Wed May 07 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-0.4.git19f4d9
- Drop requirement on jpackage-utils

* Tue May 06 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-0.3.git19f4d9
- Update to latest upstream.

* Tue May 06 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-0.2.gite09793
- Don't include the cdt feature.

* Tue May 06 2014 Mat Booth <mat.booth@redhat.com> - 1.0.0-0.1.gite09793
- Initial package.
